<?php

namespace Factory;


use Zeedhi\DevOps\Model\Projectmanagement\Entities\Resource;
use Zeedhi\DevOps\Model\Servermanager\Entities\Server as ServerEntity;
use Zeedhi\DevOps\Util\Utilities as DevOpsUtilities;

class Server {
    public function save(ServerEntity $server = null, $name, $wsEmail, Resource $resource,
                         $backupLimit, $description, $isWindows = null, $isActive = DevOpsUtilities::IS_ACTIVE_YES,
                         $isRequiredTicket, $onlyApprovedScripts = ServerEntity::ONLY_APPROVED_SCRIPTS_POSITIVE) {
        if(!$server) {
            $server = new ServerEntity();
        }

        $server->setName($name);
        $server->setWsemail($wsEmail);
        $server->setResource($resource);
        $server->setBackupLimit($backupLimit);
        $server->setDescription($description);
        $server->setOnlyApprovedScripts($onlyApprovedScripts);
        $server->setIsActive($isActive);
        $server->setIsWindows($isWindows);
        $server->setIsRequiredTicket($isRequiredTicket);

        return $server;
    }
} 